Starmade | old support and effect computers and modules cause exceptions when destroyed
Resolved, needs quality check / confirm fix, Pre-Release Quality AssurancePublic

Description

As far as I can see, this happens for the support computers that are not in use anymore:

  • shield supply
  • shield drain
  • power supply
  • power drain

Seems harmless but does result in log spam

[2018-06-11 16:27:38] Exception: manager module null
[2018-06-11 16:27:38] java.lang.NullPointerException: manager null (doesnt belong) Shield Drain Computer(46) -> Shield Drain Module(40); canCon: false; ModuleMap.get(controlledType): false
[2018-06-11 16:27:38] 	at org.schema.game.common.controller.elements.ManagerContainer.onConnectionRemoved(SourceFile:1704)
[2018-06-11 16:27:38] 	at org.schema.game.common.data.element.ControlElementMap.onRemovedConnectionForManagerContainer(SourceFile:293)
[2018-06-11 16:27:38] 	at org.schema.game.common.data.element.ControlElementMap.removeControlled(SourceFile:860)
[2018-06-11 16:27:38] 	at org.schema.game.common.data.element.ControlElementMap.removeControlledFromAllControllers(SourceFile:918)
[2018-06-11 16:27:38] 	at org.schema.game.common.data.element.ControlElementMap.removeFromRemovedBlock(SourceFile:594)
[2018-06-11 16:27:38] 	at org.schema.game.common.data.element.ControlElementMap.onRemoveElement(SourceFile:827)
[2018-06-11 16:27:38] 	at obfuscated.akY.onRemovedElementSynched(SourceFile:1799)
[2018-06-11 16:27:38] 	at obfuscated.alC.onRemovedElementSynched(SourceFile:913)
[2018-06-11 16:27:38] 	at org.schema.game.common.data.world.SegmentData.onRemovingElement(SourceFile:778)
[2018-06-11 16:27:38] 	at obfuscated.aFI.applySegmentData(SourceFile:160)
[2018-06-11 16:27:38] 	at obfuscated.aFI.applySegmentData(SourceFile:128)
[2018-06-11 16:27:38] 	at obfuscated.ajJ.a(SourceFile:799)
[2018-06-11 16:27:38] 	at obfuscated.ajK.a(SourceFile:1038)
[2018-06-11 16:27:38] 	at obfuscated.ajD.a(SourceFile:569)
[2018-06-11 16:27:38] 	at obfuscated.ajD.a(SourceFile:474)
[2018-06-11 16:27:38] 	at obfuscated.ajD.a(SourceFile:223)
[2018-06-11 16:27:38] 	at obfuscated.alq.updateLocal(SourceFile:611)
[2018-06-11 16:27:38] 	at org.schema.game.common.controller.EditableSendableSegmentController.updateLocal(SourceFile:1098)
[2018-06-11 16:27:38] 	at obfuscated.akv.updateLocal(SourceFile:171)
[2018-06-11 16:27:38] 	at obfuscated.alC.updateLocal(SourceFile:534)
[2018-06-11 16:27:38] 	at obfuscated.Z.update(SourceFile:1312)
[2018-06-11 16:27:38] 	at obfuscated.biV.a(SourceFile:675)
[2018-06-11 16:27:38] 	at obfuscated.bja.b(SourceFile:752)
[2018-06-11 16:27:38] 	at obfuscated.al.e(SourceFile:1151)
[2018-06-11 16:27:38] 	at org.schema.game.common.Starter.startMainMenu(SourceFile:1476)
[2018-06-11 16:27:38] 	at org.schema.game.common.Starter.main(SourceFile:978)

Details

Commits
Restricted Diffusion Commit
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.201.089
Category
Control Block System: Functional
First occurrence (version)
0.201.062
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  1. place down those computers with modules
  2. shoot at them
Tester information (Internal use only)

-QA Testing-

Partially fixed.

There's another line being spammed uncontrollably for every module block destroyed. It happens for all the effect modules

Examples

Exception: tried to remove controller: Punch-Through Effect Module(423): ModuleMap [all=(ActivationElementManager: TYPE_ALL), signal=(ActivationElementManager: TYPE_ALL), railTrack=(RailSpeedElementManager: TYPE_RAIL_TRACK)] for Ship[Weapon Test Ship 4_1530207274906](224)
Exception: tried to remove controller: Punch-Through Effect Module(423): ModuleMap [all=(ActivationElementManager: TYPE_ALL), signal=(ActivationElementManager: TYPE_ALL), railTrack=(RailSpeedElementManager: TYPE_RAIL_TRACK)] for Ship[Weapon Test Ship 4_1530207274906](224)
Exception: tried to remove controller: Punch-Through Effect Module(423): ModuleMap [all=(ActivationElementManager: TYPE_ALL), signal=(ActivationElementManager: TYPE_ALL), railTrack=(RailSpeedElementManager: TYPE_RAIL_TRACK)] for Ship[Weapon Test Ship 4_1530207274906](224)
Exception: tried to remove controller: Explosive Effect Module(421): ModuleMap [all=(ActivationElementManager: TYPE_ALL), signal=(ActivationElementManager: TYPE_ALL), railTrack=(RailSpeedElementManager: TYPE_RAIL_TRACK)] for Ship[Weapon Test Ship 4_1530207274906](224)
Exception: tried to remove controller: Explosive Effect Module(421): ModuleMap [all=(ActivationElementManager: TYPE_ALL), signal=(ActivationElementManager: TYPE_ALL), railTrack=(RailSpeedElementManager: TYPE_RAIL_TRACK)] for Ship[Weapon Test Ship 4_1530207274906](224)

Strings:
"Exception: tried to remove controller to invalid type: "
"Exception: tried to remove controller: "

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Jun 11 2018, 2:40 PM
Restricted Application added a project: CBS: Functional. · View Herald TranscriptJun 11 2018, 2:40 PM
schema changed the task status from "In Queue" to "Resolved" by committing Restricted Diffusion Commit.Jun 26 2018, 11:31 AM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptJun 26 2018, 11:31 AM
Restricted Application added a subscriber: AndyP. · View Herald Transcript
schema added a subscriber: schema.Jun 26 2018, 11:31 AM

will no longer spam (once per 5 sec)

lancake changed the task status from "Resolved" to "In Queue".Jun 28 2018, 5:37 PM

-QA Testing-

Partially fixed.

There's another line being spammed uncontrollably for every module block destroyed. It happens for all the effect modules

Examples

Exception: tried to remove controller: Punch-Through Effect Module(423): ModuleMap [all=(ActivationElementManager: TYPE_ALL), signal=(ActivationElementManager: TYPE_ALL), railTrack=(RailSpeedElementManager: TYPE_RAIL_TRACK)] for Ship[Weapon Test Ship 4_1530207274906](224)
Exception: tried to remove controller: Punch-Through Effect Module(423): ModuleMap [all=(ActivationElementManager: TYPE_ALL), signal=(ActivationElementManager: TYPE_ALL), railTrack=(RailSpeedElementManager: TYPE_RAIL_TRACK)] for Ship[Weapon Test Ship 4_1530207274906](224)
Exception: tried to remove controller: Punch-Through Effect Module(423): ModuleMap [all=(ActivationElementManager: TYPE_ALL), signal=(ActivationElementManager: TYPE_ALL), railTrack=(RailSpeedElementManager: TYPE_RAIL_TRACK)] for Ship[Weapon Test Ship 4_1530207274906](224)
Exception: tried to remove controller: Explosive Effect Module(421): ModuleMap [all=(ActivationElementManager: TYPE_ALL), signal=(ActivationElementManager: TYPE_ALL), railTrack=(RailSpeedElementManager: TYPE_RAIL_TRACK)] for Ship[Weapon Test Ship 4_1530207274906](224)
Exception: tried to remove controller: Explosive Effect Module(421): ModuleMap [all=(ActivationElementManager: TYPE_ALL), signal=(ActivationElementManager: TYPE_ALL), railTrack=(RailSpeedElementManager: TYPE_RAIL_TRACK)] for Ship[Weapon Test Ship 4_1530207274906](224)

Strings:
"Exception: tried to remove controller to invalid type: "
"Exception: tried to remove controller: "

Restricted Application edited projects, added Game Development, QA-Return; removed Quality Assurance. · View Herald TranscriptJun 28 2018, 5:37 PM
lancake edited Tester information (Internal use only). (Show Details)Jun 28 2018, 5:38 PM
lancake changed Last tested (version) from 0.201.062 to 0.201.089.
lancake changed the title from "old support computers causes exception when destroyed" to "old support and effect computers and modules cause exceptions when destroyed".
schema changed the task status from "In Queue" to "Resolved" by committing Restricted Diffusion Commit.Jun 29 2018, 9:34 AM
Restricted Application edited projects, added Quality Assurance; removed QA-Return, Game Development. · View Herald TranscriptJun 29 2018, 9:34 AM